Subject: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Juri Linkov <[email-masked]>
Date: Sat, 03 Sep 2022 22:40:28 +0300

>> `C-c $' (flyspell-correct-word-before-point) does the same and
>> ignores non-letters.  But `context-menu-function' is added
>> only on the overlay over the word - therefore the problem.
>
> I'm not sure I understand this -- you want `S-<f10>' to open a menu
> that finds a region of interest near point (instead of opening the
> context menu at point)?
>
> I think that sounds like it'd be rather awkward -- the context menu is
> all about doing stuff based on where point is.  If you already know that
> it's the flyspell menu you want, then (as you say) flyspell-mode has
> commands for that.

Yep, it's inconsistent but still convenient, so I'm unsure about this.